import 'package:firebase_core/firebase_core.dart' show FirebaseOptions;
import 'package:flutter/foundation.dart'
    show defaultTargetPlatform, kIsWeb, TargetPlatform;

class DefaultFirebaseOptions {
  static FirebaseOptions get currentPlatform {
    if (kIsWeb) {
      return web;
    }
    switch (defaultTargetPlatform) {
      case TargetPlatform.android:
        return android;
      case TargetPlatform.iOS:
        return ios;
      case TargetPlatform.macOS:
        return macos;
      case TargetPlatform.windows:
        return windows;
      case TargetPlatform.linux:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for linux - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      default:
        throw UnsupportedError(
          'DefaultFirebaseOptions are not supported for this platform.',
        );
    }
  }

  static const FirebaseOptions web = FirebaseOptions(
    apiKey: 'AIzaSyB5C-HmErqNFRlJwM4S4wfs-arMkJRVmGA',
    appId: '1:865533380916:web:46725564ea0e1d4e70fd61',
    messagingSenderId: '865533380916',
    projectId: 'wesalapp-bc676',
    authDomain: 'wesalapp-bc676.firebaseapp.com',
    storageBucket: 'wesalapp-bc676.firebasestorage.app',
    measurementId: 'G-V4BQJQB24E',
  );

  static const FirebaseOptions android = FirebaseOptions(
    apiKey: 'AIzaSyB5C-HmErqNFRlJwM4S4wfs-arMkJRVmGA',
    appId: '1:865533380916:android:46725564ea0e1d4e70fd61',
    messagingSenderId: '865533380916',
    projectId: 'wesalapp-bc676',
    storageBucket: 'wesalapp-bc676.firebasestorage.app',
  );

  static const FirebaseOptions ios = FirebaseOptions(
    apiKey: 'AIzaSyB5C-HmErqNFRlJwM4S4wfs-arMkJRVmGA',
    appId: '1:865533380916:ios:46725564ea0e1d4e70fd61',
    messagingSenderId: '865533380916',
    projectId: 'wesalapp-bc676',
    storageBucket: 'wesalapp-bc676.firebasestorage.app',
    iosBundleId: 'com.example.wesalApp',
  );

  static const FirebaseOptions macos = FirebaseOptions(
    apiKey: 'AIzaSyB5C-HmErqNFRlJwM4S4wfs-arMkJRVmGA',
    appId: '1:865533380916:macos:46725564ea0e1d4e70fd61',
    messagingSenderId: '865533380916',
    projectId: 'wesalapp-bc676',
    storageBucket: 'wesalapp-bc676.firebasestorage.app',
    iosBundleId: 'com.example.wesalApp',
  );

  static const FirebaseOptions windows = FirebaseOptions(
    apiKey: 'AIzaSyB5C-HmErqNFRlJwM4S4wfs-arMkJRVmGA',
    appId: '1:865533380916:windows:46725564ea0e1d4e70fd61',
    messagingSenderId: '865533380916',
    projectId: 'wesalapp-bc676',
    storageBucket: 'wesalapp-bc676.firebasestorage.app',
  );
}